> ## Documentation Index
> Fetch the complete documentation index at: https://docs.relay.link/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Requests

> This API returns all the cross-chain transactions.



## OpenAPI

````yaml get /requests/v2
openapi: 3.0.3
info:
  title: Cross-chain solver
  version: 1.0.0
servers:
  - url: https://api.relay.link
    description: Mainnet API
  - url: https://api.testnets.relay.link
    description: Testnet API
security: []
paths:
  /requests/v2:
    get:
      parameters:
        - schema:
            type: number
            default: 20
            maximum: 50
            minimum: 1
          in: query
          name: limit
          required: false
          description: Maximum number of requests to return per page.
        - schema:
            type: string
          in: query
          name: continuation
          required: false
          description: >-
            Pagination cursor returned by a previous response. Pass it back to
            fetch the next page.
        - schema:
            type: string
          in: query
          name: user
          required: false
          description: Filter requests where this address is the sender or recipient.
        - schema:
            type: string
          in: query
          name: hash
          required: false
          description: Filter requests by an origin or destination transaction hash.
        - schema:
            type: number
          in: query
          name: originChainId
          required: false
          description: Filter requests where this is the origin chain.
        - schema:
            type: number
          in: query
          name: destinationChainId
          required: false
          description: Filter requests where this is the destination chain.
        - schema:
            type: string
          in: query
          name: privateChainsToInclude
          required: false
          description: >-
            Comma-separated list of private chain UUIDs to include in the
            results.
        - schema:
            type: string
          in: query
          name: id
          required: false
          description: >-
            Filter by `requestId` — the Relay-level intent identifier returned
            by the quote api. Used for status polling, webhooks, and most other
            API endpoints.
        - schema:
            type: string
          in: query
          name: orderId
          required: false
          description: >-
            Filter by `orderId` — the protocol-level deposit identifier passed
            as `bytes32 id` to the Relay Depository when funds are deposited,
            and emitted in the deposit event.
        - schema:
            type: boolean
          in: query
          name: includeOrderData
          required: false
          description: When true, include the raw `orderData` blob in each request.
        - schema:
            type: number
          in: query
          name: startTimestamp
          required: false
          description: Filter requests created at or after this Unix timestamp (seconds).
        - schema:
            type: number
          in: query
          name: endTimestamp
          required: false
          description: Filter requests created at or before this Unix timestamp (seconds).
        - schema:
            type: number
          in: query
          name: startBlock
          required: false
          description: >-
            Filter requests by origin-chain block number (inclusive lower
            bound).
        - schema:
            type: number
          in: query
          name: endBlock
          required: false
          description: >-
            Filter requests by origin-chain block number (inclusive upper
            bound).
        - schema:
            type: string
          in: query
          name: chainId
          required: false
          description: >-
            Get all requests for a single chain in either direction. Setting
            originChainId and/or destinationChainId will override this
            parameter.
        - schema:
            type: string
          in: query
          name: referrer
          required: false
          description: Filter requests by the `referrer` value supplied at quote time.
        - schema:
            type: string
          in: query
          name: depositAddress
          required: false
          description: >-
            Filter requests by deposit address. Returns all requests associated
            with this deposit address.
        - schema:
            type: boolean
          in: query
          name: includeChildRequests
          required: false
          description: >-
            When filtering by id or depositAddress, also return child
            transactions (e.g. duplicates, retries, refunds) linked to the
            original request.
        - schema:
            type: string
            enum:
              - success
              - failure
              - refund
              - pending
              - depositing
          in: query
          name: status
          required: false
          description: Filter requests by status.
        - schema:
            type: string
          in: query
          name: apiKey
          required: false
          description: Filter requests by the API key that created them.
        - schema:
            type: string
            enum:
              - createdAt
              - updatedAt
            default: createdAt
          in: query
          name: sortBy
          required: false
          description: Field to sort by.
        - schema:
            type: string
            enum:
              - asc
              - desc
          in: query
          name: sortDirection
          required: false
          description: Sort direction.
      responses:
        '200':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  requests:
                    type: array
                    example:
                      id: >-
                        0xddd6c1a0340e940b7be4f5a4be076df8b7ec7de7b18f9ec6efe4bfffd2f21cf6
                      status: success
                      user: '0x456bccd1eaa77d5cc5ace1723b5dcca00d67cdea'
                      recipient: '0x456bccd1eaa77d5cc5ace1723b5dcca00d67cdea'
                      depositAddress:
                        address: '0x456bccd1eaa77d5cc5ace1723b5dcca00d67cdea'
                        depositAddressType: open
                        depositor: '0x456bccd1eaa77d5cc5ace1723b5dcca00d67cdea'
                      data:
                        subsidizedRequest: false
                        fees:
                          gas: '2622672522398'
                          fixed: '10000000000000'
                          price: '39000000000000'
                        feesUsd:
                          gas: '9057'
                          fixed: '34534'
                          price: '134684'
                        inTxs:
                          - fee: '423218878900'
                            data:
                              to: '0xf70da97812cb96acdf810712aa562db8dfa3dbef'
                              data: '0x5869d8'
                              from: '0x456bccd1eaa77d5cc5ace1723b5dcca00d67cdea'
                              value: '2651622672522398'
                            hash: >-
                              0xe53021eaa63d100b08338197d26953e2219bcbad828267dd936c549ff643aad7
                            type: onchain
                            chainId: 7777777
                            timestamp: 1713290377
                        currency: eth
                        price: '2600000000000000'
                        usesExternalLiquidity: false
                        outTxs:
                          - fee: '1837343366480'
                            data:
                              to: '0x456bccd1eaa77d5cc5ace1723b5dcca00d67cdea'
                              data: '0x5869d8'
                              from: '0xf70da97812cb96acdf810712aa562db8dfa3dbef'
                              value: '2600000000000000'
                            hash: >-
                              0x9da7bc54dfe6229d6980fd62250d472f23dfe0f41a1cdc870c81a08b3445f254
                            type: onchain
                            chainId: 8453
                            timestamp: 1713290383
                      moonpayId: 9dc342c3-538b-4731-aba7-13ed89acc7ae
                      createdAt: '2024-04-16T17:59:39.702Z'
                      updatedAt: '2024-04-16T17:59:46.145Z'
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          description: >-
                            The `requestId` — the Relay-level intent identifier
                            used across the API for status polling, webhooks,
                            and most other endpoints. Distinct from
                            `protocol.orderId`, which is the protocol-level
                            deposit identifier extractable from on-chain data.
                        status:
                          type: string
                          enum:
                            - refund
                            - waiting
                            - depositing
                            - failure
                            - pending
                            - success
                          description: >-
                            Note that fallback is returned in the case of a
                            refund
                        user:
                          type: string
                          description: The address that initiated the request.
                        recipient:
                          type: string
                          description: The address that receives the destination output.
                        depositAddress:
                          type: object
                          nullable: true
                          properties:
                            address:
                              type: string
                            depositAddressType:
                              type: string
                              enum:
                                - strict
                                - open
                            depositor:
                              type: string
                              nullable: true
                        data:
                          type: object
                          properties:
                            slippageTolerance:
                              type: string
                              description: >-
                                Slippage tolerance for the swap. This value is
                                in basis points (1/100th of a percent), e.g. 50
                                for 0.5% slippage
                            failReason:
                              type: string
                              enum:
                                - UNKNOWN
                                - SLIPPAGE
                                - AMOUNT_TOO_LOW_TO_REFUND
                                - DEPOSIT_ADDRESS_MISMATCH
                                - DEPOSIT_CHAIN_MISMATCH
                                - INCORRECT_DEPOSIT_CURRENCY
                                - DOUBLE_SPEND
                                - SOLVER_CAPACITY_EXCEEDED
                                - SOLVER_BALANCE_TOO_LOW
                                - DEPOSITED_AMOUNT_TOO_LOW_TO_FILL
                                - NEGATIVE_NEW_AMOUNT_AFTER_FEES
                                - NO_QUOTES
                                - MISSING_REVERT_DATA
                                - REVERSE_SWAP_FAILED
                                - GENERATE_SWAP_FAILED
                                - TOO_LITTLE_RECEIVED
                                - EXECUTION_REVERTED
                                - NEW_CALLDATA_INCLUDES_HIGHER_RENT_FEE
                                - TRANSACTION_REVERTED
                                - TRANSACTION_TOO_LARGE
                                - ORIGIN_CURRENCY_MISMATCH
                                - NO_INTERNAL_SWAP_ROUTES_FOUND
                                - SWAP_USES_TOO_MUCH_GAS
                                - INSUFFICIENT_FUNDS_FOR_RENT
                                - SPONSOR_BALANCE_TOO_LOW
                                - ORDER_EXPIRED
                                - ORDER_IS_CANCELLED
                                - TRANSFER_FROM_FAILED
                                - TRANSFER_FAILED
                                - SIGNATURE_EXPIRED
                                - INVALID_SIGNATURE
                                - INSUFFICIENT_NATIVE_TOKENS_SUPPLIED
                                - TRANSFER_AMOUNT_EXCEEDS_ALLOWANCE
                                - TRANSFER_AMOUNT_EXCEEDS_BALANCE
                                - INVALID_SENDER
                                - ACCOUNT_ABSTRACTION_INVALID_NONCE
                                - ACCOUNT_ABSTRACTION_SIGNATURE_ERROR
                                - SEAPORT_INEXACT_FRACTION
                                - TOKEN_NOT_TRANSFERABLE
                                - ZERO_SELL_AMOUNT
                                - MINT_NOT_ACTIVE
                                - ERC_1155_TOO_MANY_REQUESTED
                                - INCORRECT_PAYMENT
                                - INVALID_GAS_PRICE
                                - FLUID_DEX_ERROR
                                - ORDER_ALREADY_FILLED
                                - SEAPORT_INVALID_FULFILLER
                                - INVALID_SIGNER
                                - MINT_QUANTITY_EXCEEDS_MAX_PER_WALLET
                                - MINT_QUANTITY_EXCEEDS_MAX_SUPPLY
                                - JUPITER_INVALID_TOKEN_ACCOUNT
                                - INVALID_NONCE
                                - ACCOUNT_ABSTRACTION_GAS_LIMIT
                                - CONTRACT_PAUSED
                                - SWAP_IMPACT_TOO_HIGH
                                - INSUFFICIENT_POOL_LIQUIDITY
                                - TTL_EXPIRED
                                - N/A
                            refundFailReason:
                              type: string
                              enum:
                                - AMOUNT_TOO_LOW_TO_REFUND
                                - NEGATIVE_NEW_AMOUNT_AFTER_FEES
                                - SWAP_CURRENCY_NOT_ON_ORIGIN
                            failedTxHash:
                              type: string
                            failedTxBlockNumber:
                              type: number
                            failedCallData:
                              type: object
                              properties:
                                from:
                                  type: string
                                to:
                                  type: string
                                data:
                                  type: string
                                value:
                                  type: string
                            subsidizedRequest:
                              type: boolean
                            fees:
                              type: object
                              properties:
                                gas:
                                  type: string
                                  description: >-
                                    Estimated gas cost required for execution,
                                    in wei
                                fixed:
                                  type: string
                                  description: >-
                                    The fixed fee which is always added to
                                    execution, in wei
                                price:
                                  type: string
                                  description: >-
                                    The dynamic fee which is a result of the
                                    chain and the amount, in wei
                                gateway:
                                  type: string
                                  description: The fee taken by the API gateway, in wei
                            feesUsd:
                              type: object
                              properties:
                                gas:
                                  type: string
                                fixed:
                                  type: string
                                price:
                                  type: string
                                gateway:
                                  type: string
                            inTxs:
                              type: array
                              items:
                                type: object
                                properties:
                                  fee:
                                    type: string
                                    description: Total fees in wei
                                  data: {}
                                  stateChanges: {}
                                  hash:
                                    type: string
                                  block:
                                    type: number
                                  type:
                                    type: string
                                    description: >-
                                      The type of transaction, always set to
                                      onchain
                                  chainId:
                                    type: number
                                  timestamp:
                                    type: number
                                  status:
                                    type: string
                                    enum:
                                      - success
                                      - failure
                            currency:
                              type: string
                            currencyObject:
                              type: object
                              properties:
                                chainId:
                                  type: number
                                address:
                                  type: string
                                symbol:
                                  type: string
                                name:
                                  type: string
                                decimals:
                                  type: number
                                metadata:
                                  type: object
                                  properties:
                                    logoURI:
                                      type: string
                                    verified:
                                      type: boolean
                                    isNative:
                                      type: boolean
                            feeCurrency:
                              type: string
                            feeCurrencyObject:
                              type: object
                              properties:
                                chainId:
                                  type: number
                                address:
                                  type: string
                                symbol:
                                  type: string
                                name:
                                  type: string
                                decimals:
                                  type: number
                                metadata:
                                  type: object
                                  properties:
                                    logoURI:
                                      type: string
                                    verified:
                                      type: boolean
                                    isNative:
                                      type: boolean
                            appFeeCurrencyObject:
                              type: object
                              properties:
                                chainId:
                                  type: number
                                address:
                                  type: string
                                symbol:
                                  type: string
                                name:
                                  type: string
                                decimals:
                                  type: number
                                metadata:
                                  type: object
                                  properties:
                                    logoURI:
                                      type: string
                                    verified:
                                      type: boolean
                                    isNative:
                                      type: boolean
                            refundCurrencyData:
                              type: object
                              example:
                                currency:
                                  chainId: 8453
                                  address: '0x833589fcd6edb6e08f4c7c32d4f71b54bda02913'
                                  symbol: USDC
                                  name: USD Coin
                                  decimals: 6
                                  metadata:
                                    logoURI: >-
                                      https://ethereum-optimism.github.io/data/USDC/logo.png
                                    verified: false
                                    isNative: false
                                amount: '30754920'
                                amountFormatted: '30.75492'
                                amountUsd: '30.901612'
                                minimumAmount: '30454920'
                              properties:
                                currency:
                                  type: object
                                  properties:
                                    chainId:
                                      type: number
                                    address:
                                      type: string
                                    symbol:
                                      type: string
                                    name:
                                      type: string
                                    decimals:
                                      type: number
                                    metadata:
                                      type: object
                                      properties:
                                        logoURI:
                                          type: string
                                        verified:
                                          type: boolean
                                        isNative:
                                          type: boolean
                                amount:
                                  type: string
                                amountFormatted:
                                  type: string
                                amountUsd:
                                  type: string
                                minimumAmount:
                                  type: string
                            appFees:
                              type: array
                              items:
                                type: object
                                properties:
                                  recipient:
                                    type: string
                                  bps:
                                    type: string
                                  amount:
                                    type: string
                                  amountUsd:
                                    type: string
                                  amountUsdCurrent:
                                    type: string
                            subsidizedFee:
                              type: object
                              properties:
                                origin:
                                  type: object
                                  properties:
                                    amount:
                                      type: string
                                    address:
                                      type: string
                                    chainId:
                                      type: number
                                sponsor:
                                  type: object
                                  properties:
                                    amount:
                                      type: string
                                    address:
                                      type: string
                                    chainId:
                                      type: number
                                amountUsd:
                                  type: string
                                amountUsdCurrent:
                                  type: string
                            feeSponsorship:
                              type: object
                              description: >-
                                Granular fee sponsorship details derived from
                                the solver's internal sponsorship resolution.
                              properties:
                                quoted:
                                  description: >-
                                    The quote-time sponsorship expectation for
                                    the request.
                                  type: object
                                  properties:
                                    selectedComponents:
                                      type: array
                                      description: >-
                                        The normalized sponsorship buckets
                                        selected for this request.
                                      items:
                                        type: string
                                        enum:
                                          - execution
                                          - swap
                                          - relay
                                          - app
                                    maxSubsidizationAmount:
                                      type: string
                                      description: >-
                                        The requested sponsorship cap in USD
                                        micro-units, when one was configured for
                                        the request.
                                    capHit:
                                      type: boolean
                                      description: >-
                                        Whether the configured sponsorship cap
                                        limited the selected fee buckets for
                                        this phase.
                                    components:
                                      type: object
                                      description: >-
                                        Per-bucket sponsorship details for the
                                        four sponsorable fee components.
                                      properties:
                                        execution:
                                          description: Execution fee sponsorship details.
                                          type: object
                                          properties:
                                            selected:
                                              type: boolean
                                              description: >-
                                                Whether this fee bucket was selected for
                                                sponsorship.
                                            total:
                                              description: >-
                                                The full amount charged for this fee
                                                bucket.
                                              type: object
                                              example:
                                                currency:
                                                  chainId: 8453
                                                  address: >-
                                                    0x833589fcd6edb6e08f4c7c32d4f71b54bda02913
                                                  symbol: USDC
                                                  name: USD Coin
                                                  decimals: 6
                                                  metadata:
                                                    logoURI: >-
                                                      https://ethereum-optimism.github.io/data/USDC/logo.png
                                                    verified: false
                                                    isNative: false
                                                amount: '30754920'
                                                amountFormatted: '30.75492'
                                                amountUsd: '30.901612'
                                                minimumAmount: '30454920'
                                              properties:
                                                currency:
                                                  type: object
                                                  properties:
                                                    chainId:
                                                      type: number
                                                    address:
                                                      type: string
                                                    symbol:
                                                      type: string
                                                    name:
                                                      type: string
                                                    decimals:
                                                      type: number
                                                    metadata:
                                                      type: object
                                                      properties:
                                                        logoURI:
                                                          type: string
                                                        verified:
                                                          type: boolean
                                                        isNative:
                                                          type: boolean
                                                amount:
                                                  type: string
                                                amountFormatted:
                                                  type: string
                                                amountUsd:
                                                  type: string
                                                minimumAmount:
                                                  type: string
                                            sponsored:
                                              description: >-
                                                The portion of this fee bucket covered
                                                by the sponsor.
                                              type: object
                                              example:
                                                currency:
                                                  chainId: 8453
                                                  address: >-
                                                    0x833589fcd6edb6e08f4c7c32d4f71b54bda02913
                                                  symbol: USDC
                                                  name: USD Coin
                                                  decimals: 6
                                                  metadata:
                                                    logoURI: >-
                                                      https://ethereum-optimism.github.io/data/USDC/logo.png
                                                    verified: false
                                                    isNative: false
                                                amount: '30754920'
                                                amountFormatted: '30.75492'
                                                amountUsd: '30.901612'
                                                minimumAmount: '30454920'
                                              properties:
                                                currency:
                                                  type: object
                                                  properties:
                                                    chainId:
                                                      type: number
                                                    address:
                                                      type: string
                                                    symbol:
                                                      type: string
                                                    name:
                                                      type: string
                                                    decimals:
                                                      type: number
                                                    metadata:
                                                      type: object
                                                      properties:
                                                        logoURI:
                                                          type: string
                                                        verified:
                                                          type: boolean
                                                        isNative:
                                                          type: boolean
                                                amount:
                                                  type: string
                                                amountFormatted:
                                                  type: string
                                                amountUsd:
                                                  type: string
                                                minimumAmount:
                                                  type: string
                                            userPays:
                                              description: >-
                                                The portion of this fee bucket that
                                                remained user-paid.
                                              type: object
                                              example:
                                                currency:
                                                  chainId: 8453
                                                  address: >-
                                                    0x833589fcd6edb6e08f4c7c32d4f71b54bda02913
                                                  symbol: USDC
                                                  name: USD Coin
                                                  decimals: 6
                                                  metadata:
                                                    logoURI: >-
                                                      https://ethereum-optimism.github.io/data/USDC/logo.png
                                                    verified: false
                                                    isNative: false
                                                amount: '30754920'
                                                amountFormatted: '30.75492'
                                                amountUsd: '30.901612'
                                                minimumAmount: '30454920'
                                              properties:
                                                currency:
                                                  type: object
                                                  properties:
                                                    chainId:
                                                      type: number
                                                    address:
                                                      type: string
                                                    symbol:
                                                      type: string
                                                    name:
                                                      type: string
                                                    decimals:
                                                      type: number
                                                    metadata:
                                                      type: object
                                                      properties:
                                                        logoURI:
                                                          type: string
                                                        verified:
                                                          type: boolean
                                                        isNative:
                                                          type: boolean
                                                amount:
                                                  type: string
                                                amountFormatted:
                                                  type: string
                                                amountUsd:
                                                  type: string
                                                minimumAmount:
                                                  type: string
                                          required:
                                            - selected
                                            - total
                                            - sponsored
                                            - userPays
                                        swap:
                                          description: Swap fee sponsorship details.
                                          type: object
                                          properties:
                                            selected:
                                              type: boolean
                                              description: >-
                                                Whether this fee bucket was selected for
                                                sponsorship.
                                            total:
                                              description: >-
                                                The full amount charged for this fee
                                                bucket.
                                              type: object
                                              example:
                                                currency:
                                                  chainId: 8453
                                                  address: >-
                                                    0x833589fcd6edb6e08f4c7c32d4f71b54bda02913
                                                  symbol: USDC
                                                  name: USD Coin
                                                  decimals: 6
                                                  metadata:
                                                    logoURI: >-
                                                      https://ethereum-optimism.github.io/data/USDC/logo.png
                                                    verified: false
                                                    isNative: false
                                                amount: '30754920'
                                                amountFormatted: '30.75492'
                                                amountUsd: '30.901612'
                                                minimumAmount: '30454920'
                                              properties:
                                                currency:
                                                  type: object
                                                  properties:
                                                    chainId:
                                                      type: number
                                                    address:
                                                      type: string
                                                    symbol:
                                                      type: string
                                                    name:
                                                      type: string
                                                    decimals:
                                                      type: number
                                                    metadata:
                                                      type: object
                                                      properties:
                                                        logoURI:
                                                          type: string
                                                        verified:
                                                          type: boolean
                                                        isNative:
                                                          type: boolean
                                                amount:
                                                  type: string
                                                amountFormatted:
                                                  type: string
                                                amountUsd:
                                                  type: string
                                                minimumAmount:
                                                  type: string
                                            sponsored:
                                              description: >-
                                                The portion of this fee bucket covered
                                                by the sponsor.
                                              type: object
                                              example:
                                                currency:
                                                  chainId: 8453
                                                  address: >-
                                                    0x833589fcd6edb6e08f4c7c32d4f71b54bda02913
                                                  symbol: USDC
                                                  name: USD Coin
                                                  decimals: 6
                                                  metadata:
                                                    logoURI: >-
                                                      https://ethereum-optimism.github.io/data/USDC/logo.png
                                                    verified: false
                                                    isNative: false
                                                amount: '30754920'
                                                amountFormatted: '30.75492'
                                                amountUsd: '30.901612'
                                                minimumAmount: '30454920'
                                              properties:
                                                currency:
                                                  type: object
                                                  properties:
                                                    chainId:
                                                      type: number
                                                    address:
                                                      type: string
                                                    symbol:
                                                      type: string
                                                    name:
                                                      type: string
                                                    decimals:
                                                      type: number
                                                    metadata:
                                                      type: object
                                                      properties:
                                                        logoURI:
                                                          type: string
                                                        verified:
                                                          type: boolean
                                                        isNative:
                                                          type: boolean
                                                amount:
                                                  type: string
                                                amountFormatted:
                                                  type: string
                                                amountUsd:
                                                  type: string
                                                minimumAmount:
                                                  type: string
                                            userPays:
                                              description: >-
                                                The portion of this fee bucket that
                                                remained user-paid.
                                              type: object
                                              example:
                                                currency:
                                                  chainId: 8453
                                                  address: >-
                                                    0x833589fcd6edb6e08f4c7c32d4f71b54bda02913
                                                  symbol: USDC
                                                  name: USD Coin
                                                  decimals: 6
                                                  metadata:
                                                    logoURI: >-
                                                      https://ethereum-optimism.github.io/data/USDC/logo.png
                                                    verified: false
                                                    isNative: false
                                                amount: '30754920'
                                                amountFormatted: '30.75492'
                                                amountUsd: '30.901612'
                                                minimumAmount: '30454920'
                                              properties:
                                                currency:
                                                  type: object
                                                  properties:
                                                    chainId:
                                                      type: number
                                                    address:
                                                      type: string
                                                    symbol:
                                                      type: string
                                                    name:
                                                      type: string
                                                    decimals:
                                                      type: number
                                                    metadata:
                                                      type: object
                                                      properties:
                                                        logoURI:
                                                          type: string
                                                        verified:
                                                          type: boolean
                                                        isNative:
                                                          type: boolean
                                                amount:
                                                  type: string
                                                amountFormatted:
                                                  type: string
                                                amountUsd:
                                                  type: string
                                                minimumAmount:
                                                  type: string
                                          required:
                                            - selected
                                            - total
                                            - sponsored
                                            - userPays
                                        relay:
                                          description: Relay protocol fee sponsorship details.
                                          type: object
                                          properties:
                                            selected:
                                              type: boolean
                                              description: >-
                                                Whether this fee bucket was selected for
                                                sponsorship.
                                            total:
                                              description: >-
                                                The full amount charged for this fee
                                                bucket.
                                              type: object
                                              example:
                                                currency:
                                                  chainId: 8453
                                                  address: >-
                                                    0x833589fcd6edb6e08f4c7c32d4f71b54bda02913
                                                  symbol: USDC
                                                  name: USD Coin
                                                  decimals: 6
                                                  metadata:
                                                    logoURI: >-
                                                      https://ethereum-optimism.github.io/data/USDC/logo.png
                                                    verified: false
                                                    isNative: false
                                                amount: '30754920'
                                                amountFormatted: '30.75492'
                                                amountUsd: '30.901612'
                                                minimumAmount: '30454920'
                                              properties:
                                                currency:
                                                  type: object
                                                  properties:
                                                    chainId:
                                                      type: number
                                                    address:
                                                      type: string
                                                    symbol:
                                                      type: string
                                                    name:
                                                      type: string
                                                    decimals:
                                                      type: number
                                                    metadata:
                                                      type: object
                                                      properties:
                                                        logoURI:
                                                          type: string
                                                        verified:
                                                          type: boolean
                                                        isNative:
                                                          type: boolean
                                                amount:
                                                  type: string
                                                amountFormatted:
                                                  type: string
                                                amountUsd:
                                                  type: string
                                                minimumAmount:
                                                  type: string
                                            sponsored:
                                              description: >-
                                                The portion of this fee bucket covered
                                                by the sponsor.
                                              type: object
                                              example:
                                                currency:
                                                  chainId: 8453
                                                  address: >-
                                                    0x833589fcd6edb6e08f4c7c32d4f71b54bda02913
                                                  symbol: USDC
                                                  name: USD Coin
                                                  decimals: 6
                                                  metadata:
                                                    logoURI: >-
                                                      https://ethereum-optimism.github.io/data/USDC/logo.png
                                                    verified: false
                                                    isNative: false
                                                amount: '30754920'
                                                amountFormatted: '30.75492'
                                                amountUsd: '30.901612'
                                                minimumAmount: '30454920'
                                              properties:
                                                currency:
                                                  type: object
                                                  properties:
                                                    chainId:
                                                      type: number
                                                    address:
                                                      type: string
                                                    symbol:
                                                      type: string
                                                    name:
                                                      type: string
                                                    decimals:
                                                      type: number
                                                    metadata:
                                                      type: object
                                                      properties:
                                                        logoURI:
                                                          type: string
                                                        verified:
                                                          type: boolean
                                                        isNative:
                                                          type: boolean
                                                amount:
                                                  type: string
                                                amountFormatted:
                                                  type: string
                                                amountUsd:
                                                  type: string
                                                minimumAmount:
                                                  type: string
                                            userPays:
                                              description: >-
                                                The portion of this fee bucket that
                                                remained user-paid.
                                              type: object
                                              example:
                                                currency:
                                                  chainId: 8453
                                                  address: >-
                                                    0x833589fcd6edb6e08f4c7c32d4f71b54bda02913
                                                  symbol: USDC
                                                  name: USD Coin
                                                  decimals: 6
                                                  metadata:
                                                    logoURI: >-
                                                      https://ethereum-optimism.github.io/data/USDC/logo.png
                                                    verified: false
                                                    isNative: false
                                                amount: '30754920'
                                                amountFormatted: '30.75492'
                                                amountUsd: '30.901612'
                                                minimumAmount: '30454920'
                                              properties:
                                                currency:
                                                  type: object
                                                  properties:
                                                    chainId:
                                                      type: number
                                                    address:
                                                      type: string
                                                    symbol:
                                                      type: string
                                                    name:
                                                      type: string
                                                    decimals:
                                                      type: number
                                                    metadata:
                                                      type: object
                                                      properties:
                                                        logoURI:
                                                          type: string
                                                        verified:
                                                          type: boolean
                                                        isNative:
                                                          type: boolean
                                                amount:
                                                  type: string
                                                amountFormatted:
                                                  type: string
                                                amountUsd:
                                                  type: string
                                                minimumAmount:
                                                  type: string
                                          required:
                                            - selected
                                            - total
                                            - sponsored
                                            - userPays
                                        app:
                                          description: App fee sponsorship details.
                                          type: object
                                          properties:
                                            selected:
                                              type: boolean
                                              description: >-
                                                Whether this fee bucket was selected for
                                                sponsorship.
                                            total:
                                              description: >-
                                                The full amount charged for this fee
                                                bucket.
                                              type: object
                                              example:
                                                currency:
                                                  chainId: 8453
                                                  address: >-
                                                    0x833589fcd6edb6e08f4c7c32d4f71b54bda02913
                                                  symbol: USDC
                                                  name: USD Coin
                                                  decimals: 6
                                                  metadata:
                                                    logoURI: >-
                                                      https://ethereum-optimism.github.io/data/USDC/logo.png
                                                    verified: false
                                                    isNative: false
                                                amount: '30754920'
                                                amountFormatted: '30.75492'
                                                amountUsd: '30.901612'
                                                minimumAmount: '30454920'
                                              properties:
                                                currency:
                                                  type: object
                                                  properties:
                                                    chainId:
                                                      type: number
                                                    address:
                                                      type: string
                                                    symbol:
                                                      type: string
                                                    name:
                                                      type: string
                                                    decimals:
                                                      type: number
                                                    metadata:
                                                      type: object
                                                      properties:
                                                        logoURI:
                                                          type: string
                                                        verified:
                                                          type: boolean
                                                        isNative:
                                                          type: boolean
                                                amount:
                                                  type: string
                                                amountFormatted:
                                                  type: string
                                                amountUsd:
                                                  type: string
                                                minimumAmount:
                                                  type: string
                                            sponsored:
                                              description: >-
                                                The portion of this fee bucket covered
                                                by the sponsor.
                                              type: object
                                              example:
                                                currency:
                                                  chainId: 8453
                                                  address: >-
                                                    0x833589fcd6edb6e08f4c7c32d4f71b54bda02913
                                                  symbol: USDC
                                                  name: USD Coin
                                                  decimals: 6
                                                  metadata:
                                                    logoURI: >-
                                                      https://ethereum-optimism.github.io/data/USDC/logo.png
                                                    verified: false
                                                    isNative: false
                                                amount: '30754920'
                                                amountFormatted: '30.75492'
                                                amountUsd: '30.901612'
                                                minimumAmount: '30454920'
                                              properties:
                                                currency:
                                                  type: object
                                                  properties:
                                                    chainId:
                                                      type: number
                                                    address:
                                                      type: string
                                                    symbol:
                                                      type: string
                                                    name:
                                                      type: string
                                                    decimals:
                                                      type: number
                                                    metadata:
                                                      type: object
                                                      properties:
                                                        logoURI:
                                                          type: string
                                                        verified:
                                                          type: boolean
                                                        isNative:
                                                          type: boolean
                                                amount:
                                                  type: string
                                                amountFormatted:
                                                  type: string
                                                amountUsd:
                                                  type: string
                                                minimumAmount:
                                                  type: string
                                            userPays:
                                              description: >-
                                                The portion of this fee bucket that
                                                remained user-paid.
                                              type: object
                                              example:
                                                currency:
                                                  chainId: 8453
                                                  address: >-
                                                    0x833589fcd6edb6e08f4c7c32d4f71b54bda02913
                                                  symbol: USDC
                                                  name: USD Coin
                                                  decimals: 6
                                                  metadata:
                                                    logoURI: >-
                                                      https://ethereum-optimism.github.io/data/USDC/logo.png
                                                    verified: false
                                                    isNative: false
                                                amount: '30754920'
                                                amountFormatted: '30.75492'
                                                amountUsd: '30.901612'
                                                minimumAmount: '30454920'
                                              properties:
                                                currency:
                                                  type: object
                                                  properties:
                                                    chainId:
                                                      type: number
                                                    address:
                                                      type: string
                                                    symbol:
                                                      type: string
                                                    name:
                                                      type: string
                                                    decimals:
                                                      type: number
                                                    metadata:
                                                      type: object
                                                      properties:
                                                        logoURI:
                                                          type: string
                                                        verified:
                                                          type: boolean
                                                        isNative:
                                                          type: boolean
                                                amount:
                                                  type: string
                                                amountFormatted:
                                                  type: string
                                                amountUsd:
                                                  type: string
                                                minimumAmount:
                                                  type: string
                                          required:
                                            - selected
                                            - total
                                            - sponsored
                                            - userPays
                                      required:
                                        - execution
                                        - swap
                                        - relay
                                        - app
                                    sponsoredTotal:
                                      description: >-
                                        The total amount sponsored for this
                                        phase.
                                      type: object
                                      example:
                                        currency:
                                          chainId: 8453
                                          address: >-
                                            0x833589fcd6edb6e08f4c7c32d4f71b54bda02913
                                          symbol: USDC
                                          name: USD Coin
                                          decimals: 6
                                          metadata:
                                            logoURI: >-
                                              https://ethereum-optimism.github.io/data/USDC/logo.png
                                            verified: false
                                            isNative: false
                                        amount: '30754920'
                                        amountFormatted: '30.75492'
                                        amountUsd: '30.901612'
                                        minimumAmount: '30454920'
                                      properties:
                                        currency:
                                          type: object
                                          properties:
                                            chainId:
                                              type: number
                                            address:
                                              type: string
                                            symbol:
                                              type: string
                                            name:
                                              type: string
                                            decimals:
                                              type: number
                                            metadata:
                                              type: object
                                              properties:
                                                logoURI:
                                                  type: string
                                                verified:
                                                  type: boolean
                                                isNative:
                                                  type: boolean
                                        amount:
                                          type: string
                                        amountFormatted:
                                          type: string
                                        amountUsd:
                                          type: string
                                        minimumAmount:
                                          type: string
                                    userPaysTotal:
                                      description: >-
                                        The total amount the user paid across
                                        the sponsorable fee buckets for this
                                        phase.
                                      type: object
                                      example:
                                        currency:
                                          chainId: 8453
                                          address: >-
                                            0x833589fcd6edb6e08f4c7c32d4f71b54bda02913
                                          symbol: USDC
                                          name: USD Coin
                                          decimals: 6
                                          metadata:
                                            logoURI: >-
                                              https://ethereum-optimism.github.io/data/USDC/logo.png
                                            verified: false
                                            isNative: false
                                        amount: '30754920'
                                        amountFormatted: '30.75492'
                                        amountUsd: '30.901612'
                                        minimumAmount: '30454920'
                                      properties:
                                        currency:
                                          type: object
                                          properties:
                                            chainId:
                                              type: number
                                            address:
                                              type: string
                                            symbol:
                                              type: string
                                            name:
                                              type: string
                                            decimals:
                                              type: number
                                            metadata:
                                              type: object
                                              properties:
                                                logoURI:
                                                  type: string
                                                verified:
                                                  type: boolean
                                                isNative:
                                                  type: boolean
                                        amount:
                                          type: string
                                        amountFormatted:
                                          type: string
                                        amountUsd:
                                          type: string
                                        minimumAmount:
                                          type: string
                                  required:
                                    - selectedComponents
                                    - capHit
                                    - components
                                    - sponsoredTotal
                                    - userPaysTotal
                                actual:
                                  description: >-
                                    The post-solve sponsorship outcome recorded
                                    for the request.
                                  type: object
                                  properties:
                                    selectedComponents:
                                      type: array
                                      description: >-
                                        The normalized sponsorship buckets
                                        selected for this request.
                                      items:
                                        type: string
                                        enum:
                                          - execution
                                          - swap
                                          - relay
                                          - app
                                    maxSubsidizationAmount:
                                      type: string
                                      description: >-
                                        The requested sponsorship cap in USD
                                        micro-units, when one was configured for
                                        the request.
                                    capHit:
                                      type: boolean
                                      description: >-
                                        Whether the configured sponsorship cap
                                        limited the selected fee buckets for
                                        this phase.
                                    components:
                                      type: object
                                      description: >-
                                        Per-bucket sponsorship details for the
                                        four sponsorable fee components.
                                      properties:
                                        execution:
                                          description: Execution fee sponsorship details.
                                          type: object
                                          properties:
                                            selected:
                                              type: boolean
                                              description: >-
                                                Whether this fee bucket was selected for
                                                sponsorship.
                                            total:
                                              description: >-
                                                The full amount charged for this fee
                                                bucket.
                                              type: object
                                              example:
                                                currency:
                                                  chainId: 8453
                                                  address: >-
                                                    0x833589fcd6edb6e08f4c7c32d4f71b54bda02913
                                                  symbol: USDC
                                                  name: USD Coin
                                                  decimals: 6
                                                  metadata:
                                                    logoURI: >-
                                                      https://ethereum-optimism.github.io/data/USDC/logo.png
                                                    verified: false
                                                    isNative: false
                                                amount: '30754920'
                                                amountFormatted: '30.75492'
                                                amountUsd: '30.901612'
                                                minimumAmount: '30454920'
                                              properties:
                                                currency:
                                                  type: object
                                                  properties:
                                                    chainId:
                                                      type: number
                                                    address:
                                                      type: string
                                                    symbol:
                                                      type: string
                                                    name:
                                                      type: string
                                                    decimals:
                                                      type: number
                                                    metadata:
                                                      type: object
                                                      properties:
                                                        logoURI:
                                                          type: string
                                                        verified:
                                                          type: boolean
                                                        isNative:
                                                          type: boolean
                                                amount:
                                                  type: string
                                                amountFormatted:
                                                  type: string
                                                amountUsd:
                                                  type: string
                                                minimumAmount:
                                                  type: string
                                            sponsored:
                                              description: >-
                                                The portion of this fee bucket covered
                                                by the sponsor.
                                              type: object
                                              example:
                                                currency:
                                                  chainId: 8453
                                                  address: >-
                                                    0x833589fcd6edb6e08f4c7c32d4f71b54bda02913
                                                  symbol: USDC
                                                  name: USD Coin
                                                  decimals: 6
                                                  metadata:
                                                    logoURI: >-
                                                      https://ethereum-optimism.github.io/data/USDC/logo.png
                                                    verified: false
                                                    isNative: false
                                                amount: '30754920'
                                                amountFormatted: '30.75492'
                                                amountUsd: '30.901612'
                                                minimumAmount: '30454920'
                                              properties:
                                                currency:
                                                  type: object
                                                  properties:
                                                    chainId:
                                                      type: number
                                                    address:
                                                      type: string
                                                    symbol:
                                                      type: string
                                                    name:
                                                      type: string
                                                    decimals:
                                                      type: number
                                                    metadata:
                                                      type: object
                                                      properties:
                                                        logoURI:
                                                          type: string
                                                        verified:
                                                          type: boolean
                                                        isNative:
                                                          type: boolean
                                                amount:
                                                  type: string
                                                amountFormatted:
                                                  type: string
                                                amountUsd:
                                                  type: string
                                                minimumAmount:
                                                  type: string
                                            userPays:
                                              description: >-
                                                The portion of this fee bucket that
                                                remained user-paid.
                                              type: object
                                              example:
                                                currency:
                                                  chainId: 8453
                                                  address: >-
                                                    0x833589fcd6edb6e08f4c7c32d4f71b54bda02913
                                                  symbol: USDC
                                                  name: USD Coin
                                                  decimals: 6
                                                  metadata:
                                                    logoURI: >-
                                                      https://ethereum-optimism.github.io/data/USDC/logo.png
                                                    verified: false
                                                    isNative: false
                                                amount: '30754920'
                                                amountFormatted: '30.75492'
                                                amountUsd: '30.901612'
                                                minimumAmount: '30454920'
                                              properties:
                                                currency:
                                                  type: object
                                                  properties:
                                                    chainId:
                                                      type: number
                                                    address:
                                                      type: string
                                                    symbol:
                                                      type: string
                                                    name:
                                                      type: string
                                                    decimals:
                                                      type: number
                                                    metadata:
                                                      type: object
                                                      properties:
                                                        logoURI:
                                                          type: string
                                                        verified:
                                                          type: boolean
                                                        isNative:
                                                          type: boolean
                                                amount:
                                                  type: string
                                                amountFormatted:
                                                  type: string
                                                amountUsd:
                                                  type: string
                                                minimumAmount:
                                                  type: string
                                          required:
                                            - selected
                                            - total
                                            - sponsored
                                            - userPays
                                        swap:
                                          description: Swap fee sponsorship details.
                                          type: object
                                          properties:
                                            selected:
                                              type: boolean
                                              description: >-
                                                Whether this fee bucket was selected for
                                                sponsorship.
                                            total:
                                              description: >-
                                                The full amount charged for this fee
                                                bucket.
                                              type: object
                                              example:
                                                currency:
                                                  chainId: 8453
                                                  address: >-
                                                    0x833589fcd6edb6e08f4c7c32d4f71b54bda02913
                                                  symbol: USDC
                                                  name: USD Coin
                                                  decimals: 6
                                                  metadata:
                                                    logoURI: >-
                                                      https://ethereum-optimism.github.io/data/USDC/logo.png
                                                    verified: false
                                                    isNative: false
                                                amount: '30754920'
                                                amountFormatted: '30.75492'
                                                amountUsd: '30.901612'
                                                minimumAmount: '30454920'
                                              properties:
                                                currency:
                                                  type: object
                                                  properties:
                                                    chainId:
                                                      type: number
                                                    address:
                                                      type: string
                                                    symbol:
                                                      type: string
                                                    name:
                                                      type: string
                                                    decimals:
                                                      type: number
                                                    metadata:
                                                      type: object
                                                      properties:
                                                        logoURI:
                                                          type: string
                                                        verified:
                                                          type: boolean
                                                        isNative:
                                                          type: boolean
                                                amount:
                                                  type: string
                                                amountFormatted:
                                                  type: string
                                                amountUsd:
                                                  type: string
                                                minimumAmount:
                                                  type: string
                                            sponsored:
                                              description: >-
                                                The portion of this fee bucket covered
                                                by the sponsor.
                                              type: object
                                              example:
                                                currency:
                                                  chainId: 8453
                                                  address: >-
                                                    0x833589fcd6edb6e08f4c7c32d4f71b54bda02913
                                                  symbol: USDC
                                                  name: USD Coin
                                                  decimals: 6
                                                  metadata:
                                                    logoURI: >-
                                                      https://ethereum-optimism.github.io/data/USDC/logo.png
                                                    verified: false
                                                    isNative: false
                                                amount: '30754920'
                                                amountFormatted: '30.75492'
                                                amountUsd: '30.901612'
                                                minimumAmount: '30454920'
                                              properties:
                                                currency:
                                                  type: object
                                                  properties:
                                                    chainId:
                                                      type: number
                                                    address:
                                                      type: string
                                                    symbol:
                                                      type: string
                                                    name:
                                                      type: string
                                                    decimals:
                                                      type: number
[...]
